"""Initial

Revision ID: c08b50c069c2
Revises: 
Create Date: 2021-01-26 13:42:10.080626

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c08b50c069c2'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('accounts',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('currency', sa.Enum('USD', name='currency'), nullable=False),
    sa.Column('balance', sa.BigInteger(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('transactions',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('amount', sa.BigInteger(), nullable=True),
    sa.Column('to_id', sa.BigInteger(), nullable=True),
    sa.Column('from_id', sa.BigInteger(), nullable=True),
    sa.Column('time', sa.TIMESTAMP(), server_default=sa.text('now()'), nullable=True),
    sa.ForeignKeyConstraint(['from_id'], ['accounts.id'], ),
    sa.ForeignKeyConstraint(['to_id'], ['accounts.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('transactions')
    op.drop_table('accounts')
    # ### end Alembic commands ###
